Bug 994955 - fixfiles is fixing unlabeled_t filecontexts even in verify/check mode
fixfiles is fixing unlabeled_t filecontexts even in verify/check mode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: policycoreutils (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Daniel Walsh
Michal Trunecka
:
Depends On:
Blocks: 1113083
  Show dependency treegraph
 
Reported: 2013-08-08 05:54 EDT by Michal Trunecka
Modified: 2015-03-11 05:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1113083 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:45:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-08-08 05:54:37 EDT
Description of problem:

The fixfiles man page says that it doesn't change contexts in verify/check mode:

"verify   List out files with incorrect file context labels, but do not change them."
"check    print any incorrect file context labels, showing old and new context, but do not change them."

But it is fixing unlabeled_t and undefined_t contexts in /tmp, /var/tmp, /var/run and /var/lib/debug and even deletes socks and pipes with that contexts from /tmp.

besides that, at the beginning of the process, fixfiles prints message, that it is "Relabeling / /boot /dev /dev/hugepages /dev/mqueue /dev/pts /dev/shm /run /sys /sys/fs/cgroup /tmp"  which is not true in verify/check modes.


Version-Release number of selected component (if applicable):
policycoreutils-2.1.14-70.el7.x86_64



How reproducible:
always

Steps to Reproduce:
# ls -laZ /tmp/testfile 
-rw-r--r--. root root system_u:object_r:unlabeled_t:s0 /tmp/testfile

# fixfiles verify
skipping the directory /var/log from relabelling
Relabeling / /boot /dev /dev/hugepages /dev/mqueue /dev/pts /dev/shm /run /sys /sys/fs/cgroup /tmp

# ls -laZ /tmp/testfile 
-rw-r--r--. root root system_u:object_r:tmp_t:s0       /tmp/testfile



Expected results:

Change the message from "relabeling.." to something more suitable for the verify/check mode
Prevent changing context in those modes
Comment 1 Daniel Walsh 2013-08-26 16:53:47 EDT
Fixed in policycoreutils-2.1.14-76.el7
Comment 3 Ludek Smid 2014-06-13 08:45:41 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.